Package network.protocol.packets

# Class ChangeCellPacket

java.lang.Object
network.protocol.Packet
network.protocol.packets.ChangeCellPacket

All Implemented Interfaces:
  `Serializable`

public class ChangeCellPacket extends Packet

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeCellPacket(int sudokuIndex, int cellIndex, int newValue)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(PacketVisitor packetVisitor)`
  `int`
  `getCellIndex()`
  `int`
  `getNewValue()`
  `int`
  `getSudokuIndex()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ChangeCellPacket

    public ChangeCellPacket(int sudokuIndex, int cellIndex, int newValue)

- ## Method Details

  - ### getSudokuIndex

    public int getSudokuIndex()

  - ### getCellIndex

    public int getCellIndex()

  - ### getNewValue

    public int getNewValue()

  - ### accept

    public void accept(PacketVisitor packetVisitor)
    Specified by:
      `accept` in class `Packet`